Drop-in փոխարինում
ՀամատեղելիԱշխատում է OpenAI և Anthropic SDK-ների հետ։ Պարզապես փոխեք base URL-ը։
Բոլոր լեզուները հավասար են։ Ընտրեք այն, որին ուզում եք օգտագործել։
OpenAI և Anthropic համատեղելի AI API՝ ֆունկցիաների կանչով, վեբ որոնմամբ և կառուցվածքային արդյունքներով:
Ամեն ինչ, ինչ ձեզ պետք է՝ Shannon-ի OpenAI և Anthropic համատեղելի API-ով թողարկելու համար։
https://api.shannon-ai.com/v1/chat/completions Օգտագործեք Chat Completions API-ը ֆունկցիայի կանչով և ստրիմինգով։
https://api.shannon-ai.com/v1/messages Claude Messages ձևաչափը գործիքներով և anthropic-version գլխագրով։
Authorization: Bearer <api-key> Կամ X-API-Key և anthropic-version՝ Claude-ի ձևաչափով կանչերի համար։
Հանրային փաստաթղթեր - կանչելու համար պետք է բանալի Ստրիմինգ, ֆունկցիայի կանչ, կառուցվածքային արդյունքներ, վեբ որոնում։
Drop-in փոխարինում OpenAI և Anthropic API-ների համար՝ գործիքների, կառուցվածքային արդյունքների և ներկառուցված վեբ որոնման աջակցությամբ։
Աշխատում է OpenAI և Anthropic SDK-ների հետ։ Պարզապես փոխեք base URL-ը։
Սահմանեք գործիքներ, թող Shannon-ը կանչի դրանք։ Աջակցում է auto, forced և none ռեժիմներին։
Իրական ժամանակի վեբ որոնում՝ աղբյուրների հղումներով։ Ինքնաշխատ հասանելի։
JSON ռեժիմ և JSON Schema հարկադրում՝ վստահելի տվյալների արտահանման համար։
Ավտոմատ գործիքների կատարում։ Մինչև 10 կրկնում յուրաքանչյուր հարցման համար։
Server-sent events՝ թոքենների իրական ժամանակի ստրիմինգի համար։
Սկսեք երեք քայլով։ Shannon-ը արտացոլում է OpenAI և Anthropic հաճախորդներին։
Օգտագործեք OpenAI-համատեղելի վերջնակետը։
https://api.shannon-ai.com/v1/chat/completions Authorization գլխագրում օգտագործեք Bearer վավերացում։
Ընտրեք լեզու և փոխարինեք ձեր բանալին։
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
max_tokens=1024
)
print(response.choices[0].message.content) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'system', content: 'You are a helpful assistant.' },
{ role: 'user', content: 'Hello, Shannon!' }
],
max_tokens: 1024
});
console.log(response.choices[0].message.content); package main
import (
"context"
"fmt"
openai "github.com/sashabaranov/go-openai"
)
func main() {
config := openai.DefaultConfig("YOUR_API_KEY")
config.BaseURL = "https://api.shannon-ai.com/v1"
client := openai.NewClientWithConfig(config)
resp, err := client.CreateChatCompletion(
context.Background(),
openai.ChatCompletionRequest{
Model: "shannon-1.6-lite",
Messages: []openai.ChatCompletionMessage{
{Role: "system", Content: "You are a helpful assistant."},
{Role: "user", Content: "Hello, Shannon!"},
},
MaxTokens: 1024,
},
)
if err != nil {
panic(err)
}
fmt.Println(resp.Choices[0].Message.Content)
} curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "shannon-1.6-lite",
"messages": [
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
"max_tokens": 1024
}' {
"id": "chatcmpl-abc123",
"object": "chat.completion",
"created": 1234567890,
"model": "Shannon 1.6 Lite",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 25,
"completion_tokens": 18,
"total_tokens": 43
}
} Փորձարկեք Shannon API-ն անմիջապես ձեր դիտարկչում։ Կազմեք հարցումը, գործարկեք և տեսեք պատասխանը իրական ժամանակում։
Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.
Run real requests, inspect raw JSON, and view stream events from the same operator console.
Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.
/hy/docs/playground The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.
Բոլոր API հարցումները պահանջում են վավերացում ձեր Shannon API բանալով։
Authorization: Bearer YOUR_API_KEY X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01 Shannon-ն առաջարկում է մի քանի մոդելներ՝ տարբեր օգտագործման դեպքերի համար։
shannon-1.6-lite Shannon 1.6 Lite Արագ ու արդյունավետ պատասխաններ ամենօրյա առաջադրանքների համար
shannon-1.6-pro Shannon 1.6 Pro Բարդ խնդիրների համար առաջադեմ մտածողություն
shannon-2-lite Shannon 2 Lite
shannon-2-pro Shannon 2 Pro
shannon-coder-1 Shannon Coder Օպտիմիզացված Claude Code CLI-ի համար՝ կանչային քվոտայով
Սահմանեք գործիքներ, որոնք Shannon-ը կարող է կանչել գործողություններ կատարելու կամ տեղեկություն ստանալու համար։
from openai import OpenAI
import json
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Define available tools/functions
tools = [
{
"type": "function",
"function": {
"name": "get_weather",
"description": "Get current weather for a location",
"parameters": {
"type": "object",
"properties": {
"location": {
"type": "string",
"description": "City name, e.g., 'Tokyo'"
},
"unit": {
"type": "string",
"enum": ["celsius", "fahrenheit"]
}
},
"required": ["location"]
}
}
}
]
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
tools=tools,
tool_choice="auto"
)
# Check if model wants to call a function
if response.choices[0].message.tool_calls:
tool_call = response.choices[0].message.tool_calls[0]
print(f"Function: {tool_call.function.name}")
print(f"Arguments: {tool_call.function.arguments}") import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const tools = [
{
type: 'function',
function: {
name: 'get_weather',
description: 'Get current weather for a location',
parameters: {
type: 'object',
properties: {
location: { type: 'string', description: "City name" },
unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
},
required: ['location']
}
}
}
];
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
tools,
tool_choice: 'auto'
});
if (response.choices[0].message.tool_calls) {
const toolCall = response.choices[0].message.tool_calls[0];
console.log('Function:', toolCall.function.name);
console.log('Arguments:', toolCall.function.arguments);
} "auto" Մոդելը որոշում է՝ կանչել ֆունկցիա, թե ոչ (լռելյայն) "none" Անջատել ֆունկցիայի կանչը այս հարցման համար {"type": "function", "function": {"name": "..."}} Պարտադրել հատուկ ֆունկցիայի կանչ {
"id": "chatcmpl-xyz",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": null,
"tool_calls": [
{
"id": "call_abc123",
"type": "function",
"function": {
"name": "get_weather",
"arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
}
}
]
},
"finish_reason": "tool_calls"
}
]
} Պարտադրել Shannon-ին վերադարձնել վավեր JSON, որը համապատասխանում է ձեր սխեմային։
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Force JSON output with schema
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
],
response_format={
"type": "json_schema",
"json_schema": {
"name": "person_info",
"schema": {
"type": "object",
"properties": {
"name": {"type": "string"},
"age": {"type": "integer"},
"occupation": {"type": "string"}
},
"required": ["name", "age", "occupation"]
}
}
}
)
import json
data = json.loads(response.choices[0].message.content)
print(data) # {"name": "John Doe", "age": 30, "occupation": "engineer"} import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
],
response_format: {
type: 'json_schema',
json_schema: {
name: 'person_info',
schema: {
type: 'object',
properties: {
name: { type: 'string' },
age: { type: 'integer' },
occupation: { type: 'string' }
},
required: ['name', 'age', 'occupation']
}
}
}
});
const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" } {"type": "json_object"} Պարտադրել վավեր JSON ելք (առանց կոնկրետ սխեմայի) {"type": "json_schema", "json_schema": {...}} Պարտադրել ելք, որը համապատասխանում է ձեր ճշգրիտ սխեմային Միացրեք իրական ժամանակի թոքենների ստրիմինգը Server-Sent Events-ով՝ արագ UI-ների համար։
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Enable streaming for real-time responses
stream = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Write a short poem about AI"}
],
stream=True
)
for chunk in stream:
if chunk.choices[0].delta.content:
print(chunk.choices[0].delta.content, end="", flush=True) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Write a short poem about AI' }
],
stream: true
});
for await (const chunk of stream) {
const content = chunk.choices[0]?.delta?.content;
if (content) process.stdout.write(content);
} Shannon-ը ներառում է ներկառուցված web_search ֆունկցիա, որը ավտոմատ հասանելի է։
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Web search is automatically available!
# Shannon will use it when needed for current information
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "What are the latest AI news today?"}
],
# Optionally, explicitly define web_search tool
tools=[{
"type": "function",
"function": {
"name": "web_search",
"description": "Search the web for current information",
"parameters": {
"type": "object",
"properties": {
"query": {"type": "string", "description": "Search query"}
},
"required": ["query"]
}
}
}]
)
print(response.choices[0].message.content)
# Response includes sources and citations import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Web search is automatically available!
// Shannon will use it when needed for current information
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'What are the latest AI news today?' }
],
// Optionally, explicitly define web_search tool
tools: [{
type: 'function',
function: {
name: 'web_search',
description: 'Search the web for current information',
parameters: {
type: 'object',
properties: {
query: { type: 'string', description: 'Search query' }
},
required: ['query']
}
}
}]
});
console.log(response.choices[0].message.content);
// Response includes sources and citations Shannon-ը նաև աջակցում է Anthropic Messages API ձևաչափին։
https://api.shannon-ai.com/v1/messages import anthropic
client = anthropic.Anthropic(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/messages"
)
response = client.messages.create(
model="shannon-1.6-lite",
max_tokens=1024,
messages=[
{"role": "user", "content": "Hello, Shannon!"}
],
# Tool use (Anthropic format)
tools=[{
"name": "web_search",
"description": "Search the web",
"input_schema": {
"type": "object",
"properties": {
"query": {"type": "string"}
},
"required": ["query"]
}
}]
)
print(response.content[0].text) import Anthropic from '@anthropic-ai/sdk';
const client = new Anthropic({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/messages'
});
const response = await client.messages.create({
model: 'shannon-1.6-lite',
max_tokens: 1024,
messages: [
{ role: 'user', content: 'Hello, Shannon!' }
],
// Tool use (Anthropic format)
tools: [{
name: 'web_search',
description: 'Search the web',
input_schema: {
type: 'object',
properties: {
query: { type: 'string' }
},
required: ['query']
}
}]
});
console.log(response.content[0].text); Use Shannon as the AI backend for popular CLI coding agents. Read files, edit code, run tests — all powered by Shannon's API.
Anthropic's official CLI coding agent. Point it at Shannon to use as your AI backend for reading, editing, and running code directly in your terminal.
ANTHROPIC_BASE_URL=https://api.shannon-ai.com ANTHROPIC_API_KEY=sk-YOUR_KEY claude --bare OpenAI's open-source coding agent. Uses the Responses API for multi-turn tool use, file editing, and shell commands — all routed through Shannon.
OPENAI_BASE_URL=https://api.shannon-ai.com/v1 OPENAI_API_KEY=sk-YOUR_KEY codex Anthropic's official CLI coding agent. Set two environment variables and launch with --bare to skip Anthropic account login.
# Install Claude Code (requires Node.js 18+)
npm install -g @anthropic-ai/claude-code
# Connect to Shannon AI as backend
export ANTHROPIC_BASE_URL=https://api.shannon-ai.com
export ANTHROPIC_API_KEY=sk-YOUR_API_KEY
# Launch Claude Code in bare mode (no Anthropic account needed)
claude --bare
# Or run a one-shot command
claude --bare -p "Explain this codebase"
# Claude Code will use Shannon's Anthropic-compatible API
# for all AI operations: reading files, editing code,
# running tests, and multi-turn tool use. # Alternative: set env vars permanently in your shell profile
# ~/.bashrc or ~/.zshrc
export ANTHROPIC_BASE_URL=https://api.shannon-ai.com
export ANTHROPIC_API_KEY=sk-YOUR_API_KEY
# Then just run:
claude --bare
# Supported features through Shannon:
# - Multi-turn conversations with full context
# - File reading and editing (tool use)
# - Shell command execution
# - Streaming responses
# - All Claude Code slash commands (/compact, /clear, etc.) OpenAI's open-source coding agent. Uses the Responses API for multi-turn tool use, file editing, and shell commands.
# Install Codex CLI
npm install -g @openai/codex
# Connect to Shannon AI as backend
export OPENAI_BASE_URL=https://api.shannon-ai.com/v1
export OPENAI_API_KEY=sk-YOUR_API_KEY
# Launch Codex
codex
# Or run a one-shot command
codex "fix the bug in main.py"
# Codex uses the Responses API (POST /v1/responses)
# Shannon handles tool calls including:
# - Reading and writing files
# - Running shell commands
# - Multi-turn function calling # Alternative: set env vars permanently
# ~/.bashrc or ~/.zshrc
export OPENAI_BASE_URL=https://api.shannon-ai.com/v1
export OPENAI_API_KEY=sk-YOUR_API_KEY
# Then just run:
codex
# Supported features through Shannon:
# - Responses API with full tool use
# - Function calling (file read/write, shell exec)
# - Streaming with real-time output
# - Multi-turn conversations
# - All Codex approval modes (suggest, auto-edit, full-auto) Օգտագործեք ցանկացած OpenAI կամ Anthropic SDK՝ պարզապես փոխեք base URL-ը։
Պաշտոնական OpenAI Python SDK — աշխատում է Shannon-ի հետ
pip install openai Պաշտոնական OpenAI Node.js SDK — աշխատում է Shannon-ի հետ
npm install openai Համայնքային Go հաճախորդ OpenAI-համատեղելի API-ների համար
go get github.com/sashabaranov/go-openai Համայնքային Ruby հաճախորդ OpenAI-համատեղելի API-ների համար
gem install ruby-openai Համայնքային PHP հաճախորդ OpenAI-համատեղելի API-ների համար
composer require openai-php/client Async Rust հաճախորդ OpenAI-համատեղելի API-ների համար
cargo add async-openai Պաշտոնական Anthropic Python SDK — աշխատում է Shannon-ի հետ
pip install anthropic Պաշտոնական Anthropic TypeScript SDK — աշխատում է Shannon-ի հետ
npm install @anthropic-ai/sdk Shannon-ը օգտագործում է ստանդարտ HTTP կարգավիճակներ և վերադարձնում է մանրամասն սխալների հաղորդագրություններ։
{
"error": {
"message": "Invalid API key provided",
"type": "authentication_error",
"code": "invalid_api_key"
}
} Shannon API-ի վերջին թարմացումները և բարելավումները։
YOUR_API_KEY Պահեք ձեր API բանալին գաղտնի։ Վերագեներացնելը ստեղծում է նոր բանալի և անվավեր է դարձնում հինը։
Տեսեք թոքենների և որոնումների ծախսը այս էջում, երբ մուտք եք գործել։
Shannon Coder (shannon-coder-1)-ի համար կանչային քվոտա։ Վերականգնվում է յուրաքանչյուր 4 ժամում։
Ստացեք ձեր API բանալին և սկսեք կառուցել Shannon AI-ով այսօր։
Հանրաճանաչ որոնումներ: